Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class NotNullTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.taglib.util.NotNullTag

public class NotNullTag
extends javax.servlet.jsp.tagext.TagSupport

Tag extension to evaluate if an object is not null. If it is not, evaluate the tag body.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`NotNullTag()`

Method Summary
`int` | `doEndTag()` Called when the end of the tag is reached
`int` | `doStartTag()` Called when the tag starts.
`java.lang.Object` | `getItem()` Get the value of item.
`void` | `setItem(java.lang.Object theItem)` Set the value of item.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotNullTag

    public NotNullTag()

Method Detail

### setItem

    public void setItem(java.lang.Object theItem)

  Set the value of item.

  Parameters:
    `theItem` - Value to assign to item.

### getItem

    public java.lang.Object getItem()

  Get the value of item.

  Returns:
    Value of item.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Called when the end of the tag is reached

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved